"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.wrapReply = void 0;
const koishi_1 = require("koishi");
function _wrapReply(message, content) {
    const r = (id) => (0, koishi_1.segment)("quote", { id }) + " " + content;
    if (typeof message === "string")
        return r(message);
    else if (message.platform === "onebot" && message.subtype === "group") {
        // 腾讯定制回复 解决缩略消息吞昵称的问题 真有你的腾讯
        return (0, koishi_1.segment)("quote", { id: message.messageId }) +
            (0, koishi_1.segment)("at", { id: message.userId }) +
            content;
    }
    else if (message.subtype === "private")
        return content;
    return r(message.messageId);
}
exports.wrapReply = _wrapReply;
