"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getServers = void 0;
const axios_1 = __importDefault(require("axios"));
const axios = axios_1.default.create({});
async function getServers(options = {}) {
    const { callback } = options;
    const result = await axios.request({
        method: "GET",
        url: "https://act1.ff.sdo.com/FF14DataApi/Servers20200512/api/index.php",
        params: {
            act: "getServers",
            callback
        }
    });
    if (callback)
        return result.data;
    else
        return result.data;
}
exports.getServers = getServers;
