"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getMarketBoardCurrentData = void 0;
const axios_1 = __importDefault(require("axios"));
/* 2022-08-09: Use Universalis API v2, Rate Limit 25req/min */
const axios = axios_1.default.create({
    baseURL: "https://universalis.app/api/v2/"
});
async function getMarketBoardCurrentData(worldDcRegion, itemIds, options = {}) {
    const result = await axios({
        method: "GET",
        url: encodeURI(`/${worldDcRegion}/${itemIds}`),
        params: options
    });
    return result.data;
}
exports.getMarketBoardCurrentData = getMarketBoardCurrentData;
